Loading...
Searching...
No Matches
expressionTesting.h File Reference

Test harness methods for expressions. More...

Go to the source code of this file.

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Macros

#define | EXPECT_CORRECT_EXPRESSION_JACOBIANS(expression, values, numerical_derivative_step, tolerance)
| Check the Jacobians produced by an expression against finite differences.

## Functions

template<typename T>
bool | gtsam::internal::testExpressionJacobians (const std::string &name_, const gtsam::Expression< T > &expression, const gtsam::Values &values, double nd_step, double tolerance)

## Detailed Description

Test harness methods for expressions.

Date
  September 18, 2014

Author
  Frank Dellaert
  Paul Furgale

## Macro Definition Documentation

## EXPECT_CORRECT_EXPRESSION_JACOBIANS

#define EXPECT_CORRECT_EXPRESSION_JACOBIANS | ( |  | expression,
|  |  | values,
|  |  | numerical_derivative_step,
|  |  | tolerance )

Value:
{ EXPECT(gtsam::internal::testExpressionJacobians(name_, expression, values, numerical_derivative_step, tolerance)); }

Check the Jacobians produced by an expression against finite differences.

Parameters

  expression | The expression to test.
  values | Values filled in for testing the Jacobians.
  numerical_derivative_step | The step to use when computing the finite difference Jacobians
  tolerance | The numerical tolerance to use when comparing Jacobians.